
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//	reza		Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/125/96

// $Log: DSPFloat64.cc,v $
// Revision 1.3  1998/08/06 16:32:07  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:14  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/09/18 22:41:58  reza
//  First release of DODS-DSP servers.
//
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPFloat64.cc,v 1.3 1998/08/06 16:32:07 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>

#include "DSPFloat64.h"

Float64 *
NewFloat64(const String &n)
{
    return new DSPFloat64(n);
}

DSPFloat64::DSPFloat64(const String &n) : Float64(n)
{
}

BaseType *
DSPFloat64::ptr_duplicate()
{
    return new DSPFloat64(*this); // Copy ctor calls duplicate to do the work
}
 
bool
DSPFloat64::read(const String &, int &error)
{
    error = 1;
    return false;
}
