
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//	reza		Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

// $Log: DSPGrid.cc,v $
// Revision 1.3  1998/08/06 16:32:08  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:17  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/09/18 22:42:02  reza
//  First release of DODS-DSP servers.
//
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPGrid.cc,v 1.3 1998/08/06 16:32:08 jimg Exp $"};

#include "DSPGrid.h"

Grid *
NewGrid(const String &n)
{
    return new DSPGrid(n);
}

// protected

BaseType *
DSPGrid::ptr_duplicate()
{
    return new DSPGrid(*this);
}

// public

DSPGrid::DSPGrid(const String &n) : Grid(n)
{
}

DSPGrid::~DSPGrid()
{
}

bool
DSPGrid::read(const String &dataset, int &error)
{
    bool status;

    if (read_p()) // nothing to do
        return false;

    // read array elements
    if (!(status = array_var()->read(dataset, error))) 
        return status;

    // read maps elements
    for (Pix p = first_map_var(); p; next_map_var(p)) {
	if(!(status = map_var(p)->read(dataset, error)))
            break;
    }

    if (!status) 
	set_read_p(true);

    return status;

}

