
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//	reza		Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/26/96

// $Log: DSPInt32.cc,v $
// Revision 1.4  1998/08/06 16:32:08  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.3  1996/11/15 18:22:18  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.2  1996/11/04 22:26:35  jimg
// Made DSPInt32::read() return false.
//
// Revision 1.1  1996/09/18 22:42:03  reza
//  First release of DODS-DSP servers.
//
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPInt32.cc,v 1.4 1998/08/06 16:32:08 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>

#include "DSPInt32.h"

Int32 *
NewInt32(const String &n)
{
    return new DSPInt32(n);
}

DSPInt32::DSPInt32(const String &n) : Int32(n)
{
}

BaseType *
DSPInt32::ptr_duplicate(){

    return new DSPInt32(*this);
}

bool
DSPInt32::read(const String &, int &error)
{
    error = 1;
    return false;
}
