
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/26/96

// $Log: DSPUInt32.cc,v $
// Revision 1.3  1998/08/06 16:32:10  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:24  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/11/04 22:28:02  jimg
// Created.
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPUInt32.cc,v 1.3 1998/08/06 16:32:10 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>

#include "DSPUInt32.h"

UInt32 *
NewUInt32(const String &n)
{
    return new DSPUInt32(n);
}

DSPUInt32::DSPUInt32(const String &n) : UInt32(n)
{
}

BaseType *
DSPUInt32::ptr_duplicate(){

    return new DSPUInt32(*this);
}

bool
DSPUInt32::read(const String &, int &error)
{
    error = 1;
    return false;
}
